Loading...
Searching...
No Matches
Dune::ProxyArrowResult< ProxyType > Class Template Reference
Common » Iterator facades

Helper to mimic a pointer for proxy objects. More...

`#include <dune/common/iteratorfacades.hh>`

## Public Member Functions

constexpr | ProxyArrowResult (ProxyType &&p) noexcept(std::is_nothrow_constructible_v< ProxyType, ProxyType && >)
constexpr | ProxyArrowResult (const ProxyType &p) noexcept(std::is_nothrow_constructible_v< ProxyType, const ProxyType & >)
constexpr const ProxyType * | operator-> () const noexcept
constexpr ProxyType * | operator-> () noexcept

## Detailed Description

template<class ProxyType>
class Dune::ProxyArrowResult< ProxyType >

Helper to mimic a pointer for proxy objects.

This class is intended to be used as return type for operator-> on an iterator using proxy-values. It stores the proxy value and forwards operator-> to the address of this value. In particular it can be passed to IteratorFacade when creating proxy iterators.

## Constructor & Destructor Documentation

## ProxyArrowResult() [1/2]

template<class ProxyType>

Dune::ProxyArrowResult< ProxyType >::ProxyArrowResult | ( | ProxyType && | p | ) |

inline constexpr noexcept

## ProxyArrowResult() [2/2]

template<class ProxyType>

Dune::ProxyArrowResult< ProxyType >::ProxyArrowResult | ( | const ProxyType & | p | ) |

inline constexpr noexcept

## Member Function Documentation

## operator->() [1/2]

template<class ProxyType>

const ProxyType * Dune::ProxyArrowResult< ProxyType >::operator-> | ( |  | ) | const

inline constexpr noexcept

## operator->() [2/2]

template<class ProxyType>

ProxyType * Dune::ProxyArrowResult< ProxyType >::operator-> | ( |  | ) |

inline constexpr noexcept

The documentation for this class was generated from the following file:

- iteratorfacades.hh